Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sat 21 Jul 2018, 09:56
All times are UTC - 4
 Forum index » House Training » Users ( For the regulars ) » Pour les francophones
[Résolu] vlc librairies manquantes!
Moderators: Béèm, darkerror05
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 2 [24 Posts]   Goto page: 1, 2 Next
Author Message
Argolance


Joined: 06 Jan 2008
Posts: 3255
Location: PORT-BRILLET (Mayenne - France)

PostPosted: Sun 24 Oct 2010, 18:15    Post subject:  [Résolu] vlc librairies manquantes!  

Hello,
Situation récurrente: J'installe une application. Ça ne marche pas. Je lance l'application en console, et là, je m'aperçois qu'il manque une ou plusieurs librairies. Ça me fait une belle jambe! Twisted Evil
Maintenant qu'est-ce-que je fais? Ou trouve-t-on ces librairies, ou les télécharge-t-on, y a t-il une base de données quelque part?

Bref, comment qu'on fait Embarassed ?

Cordialement!

Last edited by Argolance on Tue 02 Nov 2010, 12:49; edited 1 time in total
Back to top
View user's profile Send private message Visit poster's website 
esmourguit


Joined: 17 Nov 2006
Posts: 1393
Location: Entre l'ile aux oiseaux.et l'ile de sainte Lucie

PostPosted: Mon 25 Oct 2010, 03:25    Post subject:  

Bonjour à tous,

Version Toutou 4.3.1
Pour connaitre la liste des dépendances manquantes, lancer le Tableau de Bord, Onglet "Installation" et un clic sur le bouton en bas à gauche "vérifier les dépendances......".
Pour trouver des dépendances, dans la barre d'outils personnelle de Seamonkey, il y a plusieurs raccourcis dont un "Autres paquets" qui permet d'aller chercher des bibliothèques mises à disposition par ttuuxxx.
Peut-être y trouveras-tu ton bonheur.

Cordialement Wink

_________________
Toutou Linux - Pets francisés
Back to top
View user's profile Send private message 
Argolance


Joined: 06 Jan 2008
Posts: 3255
Location: PORT-BRILLET (Mayenne - France)

PostPosted: Mon 25 Oct 2010, 06:13    Post subject:  

Bonjour,
@esmourguit (un petit salut en passant!)

J'ai posé cette question un peu naïvement, car je crois que pas mal d'utilisateurs sont confrontés à cette situation et il est peut-être bon de faire un fil qui approfondit le problème. J'ai bien évidemment déjà fait ce que tu préconises, mais les choses sont malheureusement plus compliquées que ça. Le programme de vérification des dépendances me dit qu'il ne manque rien Shocked (voir image)! Quand au dépôt de ttuuxxx (dont plusieurs raccourcis sur le Forum sont morts), je n'ai pas trouvé mon 'bonheur' Confused .
Dans mon cas, il s'agit de vlc-1.0.0-rc4-i686, qui est en téléchargement sur le site de Toutou. Il manque GLIBC_2.8

En console:
Quote:
/usr/bin/vlc: /lib/libc.so.6: version `GLIBC_2.8' not found (required by /usr/lib/libvlc.so.2)
/usr/bin/vlc: /lib/libc.so.6: version `GLIBC_2.8' not found (required by /usr/lib/libvlccore.so.2)
/usr/bin/vlc: /lib/libc.so.6: version `GLIBC_2.7' not found (required by /usr/lib/libvlccore.so.2)


Cordialement!
vlc.jpg
 Description   
 Filesize   14.06 KB
 Viewed   1772 Time(s)

vlc.jpg

Back to top
View user's profile Send private message Visit poster's website 
esmourguit


Joined: 17 Nov 2006
Posts: 1393
Location: Entre l'ile aux oiseaux.et l'ile de sainte Lucie

PostPosted: Mon 25 Oct 2010, 07:10    Post subject:  

Bonjour à tous,

@argolance,
J'ai re-enligné une version avec les lib manquantes, même adresse.

Cordialement Wink

_________________
Toutou Linux - Pets francisés
Back to top
View user's profile Send private message 
Argolance


Joined: 06 Jan 2008
Posts: 3255
Location: PORT-BRILLET (Mayenne - France)

PostPosted: Mon 25 Oct 2010, 14:39    Post subject:  

Hello,
Merci esmourguit! Je vais télécharger/tester ce paquet!
... Et ces librairies manquantes, où les as-tu trouvées? J'ai bien repéré des paquets 'rpm' qui semblent les contenir mais je ne suis pas parvenu à décompresser ces rpm. J'ai installé un 'unrpm' qui transforme les paquets en cpio! Shocked et entrevu un rpm2tgz que je n'ai pas trouvé en téléchargement mais dispo sur Slackware je crois (pas vraiment approfondi!) Je pose toutes ces questions car je pense aux utilisateurs qui sont confrontés à cette situation, il faut leur en donner un peu plus afin qu'ils puissent s'en sortir sans trop galérer! Wink

Cordialement.
Back to top
View user's profile Send private message Visit poster's website 
Argolance


Joined: 06 Jan 2008
Posts: 3255
Location: PORT-BRILLET (Mayenne - France)

PostPosted: Mon 25 Oct 2010, 15:03    Post subject:  

Hellol,
Je viens de tester vlc mais je retrouve le même problème:
Quote:
# vlc
vlc: /lib/libc.so.6: version `GLIBC_2.8' not found (required by /usr/lib/libvlc.so.2)
vlc: /lib/libc.so.6: version `GLIBC_2.8' not found (required by /usr/lib/libvlccore.so.2)
vlc: /lib/libc.so.6: version `GLIBC_2.7' not found (required by /usr/lib/libvlccore.so.2)
#
Désolé!

Cordialement.
Back to top
View user's profile Send private message Visit poster's website 
ASRI éducation


Joined: 09 May 2009
Posts: 3203
Location: France

PostPosted: Mon 25 Oct 2010, 17:29    Post subject:  

Idem chez moi Crying or Very sad
Back to top
View user's profile Send private message Visit poster's website 
esmourguit


Joined: 17 Nov 2006
Posts: 1393
Location: Entre l'ile aux oiseaux.et l'ile de sainte Lucie

PostPosted: Tue 26 Oct 2010, 04:20    Post subject:  

Bonjour à tous,
Ah oui, je l'avais oubliée. En fait /lib/libc.so.6 existe bien dans Toutou 4.3.1, mais elle est liée à /lib/libc-2.6.1.so.
Il faut donc la lier à /lib/libc-2.9.so que je joins ici. Je n'ai pas supprimé /lib/lib-2.6.1.so.
Je me rappelle maintenant avoir cherché cette lib. En général je cherche dans les paquets debian.
Cordialement Wink

_________________
Toutou Linux - Pets francisés
Back to top
View user's profile Send private message 
Argolance


Joined: 06 Jan 2008
Posts: 3255
Location: PORT-BRILLET (Mayenne - France)

PostPosted: Tue 26 Oct 2010, 04:43    Post subject:  

Hello esmourguit
Merci pour la librairie manquante!
Quote:
Il faut donc la lier à /lib/libc-2.9.so

La lier? Comment? A quoi? Sans abuser de ta patience, peux-tu s'il-te-plaît, nous dire un peu plus exactement ce qu'il faut faire?

Grazie mille!
Back to top
View user's profile Send private message Visit poster's website 
Argolance


Joined: 06 Jan 2008
Posts: 3255
Location: PORT-BRILLET (Mayenne - France)

PostPosted: Tue 26 Oct 2010, 04:55    Post subject:  

=> Suite: Je viens de tester mais vlc continue de ne pas trouver ce qui lui faut et renvoie le même message: il cherche la 2.7, la 2.8 et la 2.9 lui est inconnue on dirait! Décidément... Trop ancien, trop récent: c'est pas simple... Comment se fait-il d'ailleurs que toutes les librairies ne soient pas dans un seul et même dossier? Des libs, il semble y en avoir un peu partout dans Puppy/Toutou...

Cordialement.
Back to top
View user's profile Send private message Visit poster's website 
ASRI éducation


Joined: 09 May 2009
Posts: 3203
Location: France

PostPosted: Tue 26 Oct 2010, 06:52    Post subject:  

@ esmourguit
J'ai regardé le contenu de "libc2.9.tar.gz". Les fichiers proposés me semblent être déjà présents dans le .pet vlc-1.0.0-rc4-i686
Tu as probablement modifié autre chose sur ta configuration.
Si ta mémoire te permet de retrouver les fichiers modifiés...
Wink
Back to top
View user's profile Send private message Visit poster's website 
esmourguit


Joined: 17 Nov 2006
Posts: 1393
Location: Entre l'ile aux oiseaux.et l'ile de sainte Lucie

PostPosted: Wed 27 Oct 2010, 02:56    Post subject:  

Bonjour à tous,
Désolé, mais je n'ai pas eu le temps de me re-pencher sur le problème. Je vais fouiller dans mes documents.
Cordialement Wink

_________________
Toutou Linux - Pets francisés
Back to top
View user's profile Send private message 
esmourguit


Joined: 17 Nov 2006
Posts: 1393
Location: Entre l'ile aux oiseaux.et l'ile de sainte Lucie

PostPosted: Wed 27 Oct 2010, 03:56    Post subject:  

Bonjour à tous,
Bon, j'ai refait le paquet pet et je l'ai installé sur une version vierge de Toutou 4.3.1. Il fonctionne.
Téléchargement ici.
Cordialement Wink

_________________
Toutou Linux - Pets francisés
Back to top
View user's profile Send private message 
esmourguit


Joined: 17 Nov 2006
Posts: 1393
Location: Entre l'ile aux oiseaux.et l'ile de sainte Lucie

PostPosted: Wed 27 Oct 2010, 04:24    Post subject:  

Bonjour à tous,
Je viens de voir qu'il y a un problème de bibliothèque après la désinstallation. J'ai donc scindé le paquet en deux, un paquet pour vlc et un paquet pour la lib.
Même adresse de téléchargement
Cordialement Wink

_________________
Toutou Linux - Pets francisés
Back to top
View user's profile Send private message 
Argolance


Joined: 06 Jan 2008
Posts: 3255
Location: PORT-BRILLET (Mayenne - France)

PostPosted: Wed 27 Oct 2010, 12:58    Post subject:  

Merci !
IMPORTANT: Surtout, ne pas copier la librairie manquante, (ou plus exactement le lien vers cette librairie 'libc.so.6'), donnés par esmourguit, dans de répertoire /lib, comme je l'ai fait 'pour voir' Embarassed Confused (sur mes deux ordinateurs équipés de Toutou en plus!), mais bien dans /usr/lib: Sinon, dans un premier temps, tout est comme gelé, les menus marchent mais ne répondent plus à aucun clic, plus moyen de copier, de coller, de lancer une application, pas moyen de fermer la machine autrement qu'en appuyant sauvagement sur le bouton d'arrêt. Au redémarrage, aïe, kernel panic, message en hébreu, et rien à faire pour en sortir!
Le raccourci libc.so.6 vers libc-2.9.so remplace l'original qui lui, est lié à libc.-2.6.1.so, et alors là, c'est le carton! Y a plus rien qui marche... Heureusement, sauvegarde pour l'un, malheureusement... réinstallation pour l'autre... (A moins que quelqu'un ait une solution mais ce n'est pas le sujet de ce fil!)

Remarque y peut-être que moi pour être assez c... pour faire un tripatouillage pareil. M'enfin bon, un Toutouiste averti en vaut deux!
Conseil: Toujours faire sauvegarde fichier ttlsave, toujours... et régulièrement.

Je vais donc tester vlc, et si enfin ça marche, je peux dire que je l'aurai pas volé! Wink

Cordialement.
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 1 of 2 [24 Posts]   Goto page: 1, 2 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Users ( For the regulars ) » Pour les francophones
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0547s ][ Queries: 13 (0.0061s) ][ GZIP on ]